# tecella_hw_props Struct Reference

`#include <TecellaAmp.h>`

## Data Fields
TECELLA_HW_MODEL | hw_model
wchar_t | device_name [TECELLA_HW_PROPS_DEVICE_NAME_SIZE]
wchar_t | serial_number [TECELLA_HW_PROPS_SERIAL_NUMBER_SIZE]
int | hwvers
int | nchans
int | nslots
int | nsources
int | ngains
int | ncslows
int | n_utility_dacs
int | nstimuli
int | max_stimulus_segments
bool | supports_async_stimulus
bool | supports_oscope
bool | supports_vcmd
double | stimulus_value_min
double | stimulus_value_max
double | stimulus_value_lsb
double | stimulus_ramp_step_size
bool | supports_icmd
double | reserved_00
double | reserved_01
double | reserved_02
double | reserved_03
double | stimulus_segment_duration_max
double | stimulus_segment_duration_lsb
int | stimulus_delta_count_max
int | stimulus_repeat_count_max
int | stimulus_ramp_steps_max
bool | supports_zap
double | zap_value_min
double | zap_value_max
double | zap_value_lsb
bool | supports_bessel
int | bessel_value_min
int | bessel_value_max
double | utility_dac_min
double | utility_dac_max
double | utility_dac_lsb
double | sample_period_min
double | sample_period_max
double | sample_period_lsb
int | bits_per_sample
int | user_config_count
wchar_t | user_config_name [TECELLA_HW_PROPS_USER_CONFIG_NAME_SIZE]

## Field Documentation

int tecella_hw_props::bessel_value_max

Maximum programmable bessel value.

int tecella_hw_props::bessel_value_min

Minimum programmable bessel value.

int tecella_hw_props::bits_per_sample

The number of bits per sample.

wchar_t tecella_hw_props::device_name[TECELLA_HW_PROPS_DEVICE_NAME_SIZE]

Name of the device.

TECELLA_HW_MODEL tecella_hw_props::hw_model

int tecella_hw_props::hwvers

Contains the firmware version being used.

int tecella_hw_props::max_stimulus_segments

Maximum number of segments supported per stimulus.

int tecella_hw_props::n_utility_dacs

Number of utility DACs available. (limits the max index passed to tecella_utility_dac functions.)

int tecella_hw_props::nchans

Number of channels. Note: Channel numbering goes from [0, nchans-1].

int tecella_hw_props::ncslows

Number of cslows slectable

int tecella_hw_props::ngains

Number of gains selectable (see TECELLA_REG_GAIN)

int tecella_hw_props::nslots

Number of slots populated with a channel board. (Does not include the controller board).

int tecella_hw_props::nsources

Number of sources selectable (see TECELLA_REG_SOURCE)

int tecella_hw_props::nstimuli

Number of simultaneous stimuli supported (see TECELLA_REG_VCMD_SELECT)

double tecella_hw_props::reserved_00

Minimum amp value supported by a icmd stimulus.

double tecella_hw_props::reserved_01

Maximum amp value supported by a icmd stimulus.

double tecella_hw_props::reserved_02

The icmd stimulus can only take on current values in intervals of stimulus_value_lsb from stimulus_value_min to stimulus_value_max.

double tecella_hw_props::reserved_03

Each step of a ramp icmd segment will have it's value increased by this amount.

double tecella_hw_props::sample_period_lsb

Deprecated. The sample period can only take on values in intervals of sample_period_lsb from sample_period_min to sample_period_max

double tecella_hw_props::sample_period_max

Maximum sample period supported in seconds.

double tecella_hw_props::sample_period_min

Minimum sample period supported in seconds.

wchar_t tecella_hw_props::serial_number[TECELLA_HW_PROPS_SERIAL_NUMBER_SIZE]

The serial number, which is unique to each unit.

int tecella_hw_props::stimulus_delta_count_max

The maximum number of delta iterations a stimulus may have.

double tecella_hw_props::stimulus_ramp_step_size

Each step of a ramp stimulus segment will have it's value increased by this amount when using the non EX functions.

int tecella_hw_props::stimulus_ramp_steps_max

The maximum number of ramp steps supported by a single stimulus segment.

int tecella_hw_props::stimulus_repeat_count_max

The maximum number of repeat iterations a stimulus may have.

double tecella_hw_props::stimulus_segment_duration_lsb

Duration can only take on values in intervals of stimulus_segment_duration_lsb.

double tecella_hw_props::stimulus_segment_duration_max

The maximum duration a segment can have.

double tecella_hw_props::stimulus_value_lsb

The stimulus can only take on values in intervals of stimulus_value_lsb from stimulus_value_min to stimulus_value_max.

double tecella_hw_props::stimulus_value_max

Maximum value supported by a stimulus.

double tecella_hw_props::stimulus_value_min

Minimum value supported by a stimulus.

bool tecella_hw_props::supports_async_stimulus

If true, tecella_acquire_start_stimulus() can be used.

bool tecella_hw_props::supports_bessel

Indicates if a bessel filter is supported

bool tecella_hw_props::supports_icmd

Indicates if the amplifier can produce a current stimulus. (See TECELLA_STIMULUS_MODE_ICMD)

bool tecella_hw_props::supports_oscope

Indicates if the amplifier can be used as an oscilloscope.

bool tecella_hw_props::supports_vcmd

Indicates if the amplifier can produce a voltage stimulus. (See TECELLA_STIMULUS_MODE_VCMD)

bool tecella_hw_props::supports_zap

Indicates if the amplifier supports tecella_stimulus_zap().

int tecella_hw_props::user_config_count

Contains the number of configurations selectable with tecella_configuration_set()

wchar_t tecella_hw_props::user_config_name[TECELLA_HW_PROPS_USER_CONFIG_NAME_SIZE]

The name of the configuration as currently specified / selected.

double tecella_hw_props::utility_dac_lsb

Utility DAC lsb in Volts.

double tecella_hw_props::utility_dac_max

Utility DAC max in Volts.

double tecella_hw_props::utility_dac_min

Utility DAC min in Volts.

double tecella_hw_props::zap_value_lsb

The zap stimulus can only take on voltage values in intervals of zap_value_lsb from zap_value_min to zap_value_max.

double tecella_hw_props::zap_value_max

Maximum zap value supported by tecella_stimulus_zap().

double tecella_hw_props::zap_value_min

Minimum zap value supported by tecella_stimulus_zap().

The documentation for this struct was generated from the following file:

- TecellaAmp.h